<?php

namespace domain\Feature\FeatureProducer;

use domain\_\AbstractModule;

class FeatureProducerModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            FeatureProducerDefinition::class,
            FeatureProducerRepository::class,
            FeatureProducerBuilder::class,
        ];
    }

    public function getDefinition(): FeatureProducerDefinition
    {
        return FeatureProducerDefinition::getInstance();
    }

    public function getRepository(): FeatureProducerRepository
    {
        return FeatureProducerRepository::getInstance();
    }

    public function getBuilder(): FeatureProducerBuilder
    {
        return FeatureProducerBuilder::getInstance();
    }
}